Bug 23221 - Reindent tools/manage-marc-import.tt
Summary: Reindent tools/manage-marc-import.tt
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 23094
  Show dependency treegraph
 
Reported: 2019-06-26 15:18 UTC by Owen Leonard
Modified: 2019-08-06 19:48 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 23221: Reindent tools/manage-marc-import.tt (55.55 KB, patch)
2019-06-26 17:59 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23221: (follow-up) Add comments on markup structure (4.43 KB, patch)
2019-06-26 17:59 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23221: Reindent tools/manage-marc-import.tt (55.55 KB, patch)
2019-06-26 18:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23221: (follow-up) Add comments on markup structure (4.43 KB, patch)
2019-06-26 18:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23221: Reindent tools/manage-marc-import.tt (53.64 KB, patch)
2019-06-26 18:53 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23221: (follow-up) Add comments on markup structure (4.43 KB, patch)
2019-06-26 18:53 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23221: Reindent tools/manage-marc-import.tt (53.70 KB, patch)
2019-07-04 18:57 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 23221: (follow-up) Add comments on markup structure (4.49 KB, patch)
2019-07-04 18:57 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 23221: Reindent tools/manage-marc-import.tt (53.76 KB, patch)
2019-07-06 07:47 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23221: (follow-up) Add comments on markup structure (4.55 KB, patch)
2019-07-06 07:47 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-06-26 15:18:54 UTC
I would like to reindent tools/manage-marc-import.tt: Correct indentation, add some comments to clarify the structure.
Comment 1 Owen Leonard 2019-06-26 17:59:15 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2019-06-26 17:59:18 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2019-06-26 18:39:33 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2019-06-26 18:39:36 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2019-06-26 18:53:19 UTC
Created attachment 91032 [details] [review]
Bug 23221: Reindent tools/manage-marc-import.tt

This patch reformats the template for the Manage staged MARC records
page. It makes only whitespace changes. It should have no effect on the
behavior of the page.

In addition to re-indentation, some lines have been broken up. These
should be the only changes highlighted when using diff while ignoring
whitespace.

To test, apply the patch and view the Manage staged MARC records page.
The page should look correct and work correctly:

 - Paging through results
 - Viewing batches
 - Cleaning batches
 - Deleting batches
Comment 6 Owen Leonard 2019-06-26 18:53:21 UTC
Created attachment 91033 [details] [review]
Bug 23221: (follow-up) Add comments on markup structure

This patch adds a few comments to the markup in order to highlight the
structure of the page.
Comment 7 M. Tompsett 2019-07-04 18:55:10 UTC
Comment on attachment 91033 [details] [review]
Bug 23221: (follow-up) Add comments on markup structure

Review of attachment 91033 [details] [review]:
-----------------------------------------------------------------

I don't understand the insertion of /'s in the comments.

::: koha-tmpl/intranet-tmpl/prog/en/modules/tools/manage-marc-import.tt
@@ +276,4 @@
>                                      </tr>
>                                  [% END %]
>                              </table>
> +                        [% END #/ IF did_commit %]

I would expect "# /" for consistency, but as a comment it doesn't really matter.
Comment 8 M. Tompsett 2019-07-04 18:56:25 UTC
# really force master to be latest before.
git checkout master
git pull
git reset --hard origin/master

cat koha-tmpl/intranet-tmpl/prog/en/modules/tools/manage-marc-import.tt | tr -d [:space:] > before.txt

git checkout -b bug_23221 origin/master
git bz apply 23221
# interactive and apply just the first patch
cat koha-tmpl/intranet-tmpl/prog/en/modules/tools/manage-marc-import.tt | tr -d [:space:] > after.txt

diff before.txt after.txt
# should be no differences

# didn't use git diff -w origin/master, because too much scroll.
rm before.txt after.txt
Comment 9 M. Tompsett 2019-07-04 18:57:02 UTC
Created attachment 91297 [details] [review]
Bug 23221: Reindent tools/manage-marc-import.tt

This patch reformats the template for the Manage staged MARC records
page. It makes only whitespace changes. It should have no effect on the
behavior of the page.

In addition to re-indentation, some lines have been broken up. These
should be the only changes highlighted when using diff while ignoring
whitespace.

To test, apply the patch and view the Manage staged MARC records page.
The page should look correct and work correctly:

 - Paging through results
 - Viewing batches
 - Cleaning batches
 - Deleting batches

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 10 M. Tompsett 2019-07-04 18:57:05 UTC
Created attachment 91298 [details] [review]
Bug 23221: (follow-up) Add comments on markup structure

This patch adds a few comments to the markup in order to highlight the
structure of the page.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 11 Katrin Fischer 2019-07-06 07:47:05 UTC
Created attachment 91383 [details] [review]
Bug 23221: Reindent tools/manage-marc-import.tt

This patch reformats the template for the Manage staged MARC records
page. It makes only whitespace changes. It should have no effect on the
behavior of the page.

In addition to re-indentation, some lines have been broken up. These
should be the only changes highlighted when using diff while ignoring
whitespace.

To test, apply the patch and view the Manage staged MARC records page.
The page should look correct and work correctly:

 - Paging through results
 - Viewing batches
 - Cleaning batches
 - Deleting batches

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Katrin Fischer 2019-07-06 07:47:09 UTC
Created attachment 91384 [details] [review]
Bug 23221: (follow-up) Add comments on markup structure

This patch adds a few comments to the markup in order to highlight the
structure of the page.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Martin Renvoize 2019-07-15 11:22:16 UTC
Nice work!

Pushed to master for 19.11.00
Comment 14 Fridolin SOMERS 2019-08-06 13:09:41 UTC
Pushed to 19.05.x for 19.05.03
Comment 15 Lucas Gass 2019-08-06 19:47:47 UTC
backported to 18.11.x for 18.11.09